=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(zh_CN)
add_subdirectory(lt)
add_subdirectory(fr)
add_subdirectory(sr)
add_subdirectory(zh_TW)
add_subdirectory(uk)
add_subdirectory(et)
add_subdirectory(de)
add_subdirectory(tr)
add_subdirectory(ru)
add_subdirectory(ja)
add_subdirectory(sr@latin)
add_subdirectory(bg)
add_subdirectory(cs)
add_subdirectory(sl)
add_subdirectory(hu)
add_subdirectory(pa)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(th)
add_subdirectory(pt)
add_subdirectory(en_GB)
add_subdirectory(ca)
add_subdirectory(af)
add_subdirectory(sk)
add_subdirectory(ca@valencia)
add_subdirectory(es)
add_subdirectory(sv)
add_subdirectory(sr@ijekavian)
add_subdirectory(el)
add_subdirectory(da)
add_subdirectory(lv)
add_subdirectory(it)
add_subdirectory(nb)
add_subdirectory(pl)
add_subdirectory(pt_BR)
add_subdirectory(nds)
