=== debian/changelog ===
amarok (2.3.1-1) unstable; urgency=low

  * New upstream release.
  * Add libgpod-dev as an alternative to libgpod-nogtk-dev in Build-Depends
    (Closes: #580057).
  * Update install files.

 -- Modestas Vainius <modax@debian.org>  Sun, 30 May 2010 22:14:22 +0300

amarok (2.3.1~beta1-1) experimental; urgency=low

  * New upstream release:
    - different albums with the same title should no longer share the same
      cover (Closes: #490362).
  * Update patches:
   - general/crash_fix_info_applet.diff -remove, stolen from upstream;
   - debian/mysql_no_openssl_fix.diff - adapt to upstream changes;
   - debian/mysqle_amarok_local_errmsg_feature.diff - adapt to upstream
     changes;
  * Update install files.

 -- Modestas Vainius <modax@debian.org>  Fri, 16 Apr 2010 19:30:18 +0300

amarok (2.3.0-2) unstable; urgency=low

  * Add general/crash_fix_info_applet patch that fixes the crash on startup
    with Info applet on Qt 4.6.{0,1,2}.

 -- Modestas Vainius <modax@debian.org>  Thu, 15 Apr 2010 00:34:42 +0300

amarok (2.3.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update amarok-common.install.
  * Fix hyphen-used-as-minus-sign usr/share/man/man1/amarok.1.gz:149.
  * Do not use asterisks in debian/NEWS, use normal paragraphs instead.

 -- Modestas Vainius <modax@debian.org>  Mon, 15 Mar 2010 01:33:17 +0200

amarok (2.3~beta1-1) experimental; urgency=low

  * New upstream development release (2.2.2.90).
  * Resync patches:
    - general/scanning_crash_backport.diff - drop, stolen from upstream;
    - debian/disable_qtscriptbindings_check_fix.diff - refresh;
    - debian/mysql_no_openssl_fix.diff - adapt to upstream changes;
    - debian/mysqle_amarok_local_errmsg_feature.diff - refresh.
  * Update Standards-Version to 3.8.4: no changes needed.
  * Update install files.
  * Compress amarok-dbg with bzip2.
  * Bump KDE build depends to 4:4.3.0.

 -- Modestas Vainius <modax@debian.org>  Sun, 14 Feb 2010 03:35:21 +0200
