=== debian/rules ===
#!/usr/bin/make -f

# TopGit support
ifneq (,$(shell which tg))
QUILT_PATCH_DIR := debian/patches
include /usr/share/topgit/tg2quilt.mk
endif

#DEB_KDE_LINK_WITH_AS_NEEDED := yes

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON

override_dh_bugfiles:
	dh_bugfiles -A

override_dh_install:
	dh_install
	# Copy English errmsg.sys from mysql-server package
	if [ -d debian/amarok-common ]; then \
	    cp -a /usr/share/mysql/english/errmsg.sys debian/amarok-common/usr/share/kde4/apps/amarok/mysqle/; \
	fi

override_dh_makeshlibs:
	dh_makeshlibs "-Xusr/lib/kde4/*"

override_dh_builddeb:
	dh_builddeb -pamarok-dbg -- -Zbzip2
	dh_builddeb --remaining-packages

%:
	dh --with kde --parallel --dbg-package=amarok-dbg $@

.PHONY: override_dh_auto_test
