=== debian/watch ===
version=3
opts=pasv ftp://ftp.kde.org/pub/kde/unstable/amarok/([0-9.]+)
