## amarok 2.3.2

=== debian/changelog ===
amarok (2:2.3.2-0ubuntu4) maverick; urgency=low

  * Add kubuntu/14_initial_applet_size.diff to fix incorrect applet size
    on startup.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 02 Oct 2010 11:45:27 +0200

amarok (2:2.3.2-0ubuntu3) maverick; urgency=low

  * Make sure clicking on "Amarok" in the Sound Menu raises it, even if it
    has been minimized to tray, patch from Aurélien Gâteau.
    - update kubuntu/11_soundmenu_mpris2.0.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 30 Sep 2010 22:59:25 +0200

amarok (2:2.3.2-0ubuntu2) maverick; urgency=low

  * Add kubuntu/13_validate_xml.diff recommended by upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Sep 2010 17:02:29 +0100

amarok (2:2.3.2-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Drop patches that are applied upstream:
    - debian/mysql_no_openssl_fix.diff
    - kubuntu/08_fix_ftbfs_glib_2.25.diff
    - kubuntu/09_fix_applet_destructor_crash.diff
  * Drop patch that is not needed anymore:
    - kubuntu/05_kstatusnotifieritem_gnome_support.diff
  * Adapt patch to new upstream version:
    - debian/mysqle_amarok_local_errmsg_feature.diff
    - kubuntu/10_soundmenu_support.diff
    - kubuntu/11_soundmenu_mpris2.0.diff
  * Update install files.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 16 Sep 2010 12:47:14 +0200

amarok (2:2.3.1-1ubuntu8) maverick; urgency=low

  * Add 12_appmenu_fix.diff from Aurélien Gâteau:
    When running Amarok with the appmenu Plasma widget, make sure going to
    "Internet > Magnatune" or any other service does not replace the menubar
    with a weird one-entry menubar.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 15 Sep 2010 00:43:11 +0200

amarok (2:2.3.1-1ubuntu7) maverick; urgency=low

  * Update 11_soundmenu_mpris2.0.diff to use correct mpris interface

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 31 Aug 2010 10:59:34 +0100

amarok (2:2.3.1-1ubuntu6) maverick; urgency=low

  * Add 11_soundmenu_mpris2.0.diff from Aurlien Gateau, adds mpris2
    support to Amarok, closes LP: #617367

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Aug 2010 15:46:10 +0100

amarok (2:2.3.1-1ubuntu5) maverick; urgency=low

  * Add 09_fix_applet_destructor_crash.diff, backported from upstream to fix
    a crash when Amarok starts/quits.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 11 Aug 2010 11:33:17 +0200

amarok (2:2.3.1-1ubuntu4) maverick; urgency=low

  * Add back 10_soundmenu_support.diff, refreshed
  * Add build-dep on libindicate-qt-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Aug 2010 00:57:33 +0100

amarok (2:2.3.1-1ubuntu3) maverick; urgency=low

  * Add export KUBUNTU_DESKTOP_POT=extragear-multimedia_amarok

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 17:48:46 +0100

amarok (2:2.3.1-1ubuntu2) maverick; urgency=low

  * Rebuilt for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Jul 2010 09:49:55 +0100

amarok (2:2.3.1-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Build-depend on GTK version of libgpod for coinstallability with
      kipi-plugins.
    - Move libqt4-sql-sqlite from Suggests to Recommends.
    - Don't compress amarok-dbg with bzip2 as pkg-kde-tools uses lzma for
      all packages.
    - Keep the following patches:
      + kubuntu/03_restricted_install.diff
      + kubuntu/05_kstatusnotifieritem_gnome_support.diff
      + kubuntu/07_dont_ask_music_dir.diff
  * Fix FTBFS with glib >= 2.25.
    - Add kubuntu/08_fix_ftbfs_glib_2.25.diff
  * Drop patches that are applied upstream:
    - kubuntu/05_kstatusnotifieritem.diff
    - kubuntu/06_mimetypes.diff
    - kubuntu/08_crash_fix_info_applet.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 31 May 2010 10:43:51 +0200
