=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: amarok
 Section: sound
 Priority: optional
-Maintainer: Modestas Vainius <modax@debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@ubuntu.com>
+XSBC-Original-Maintainer: Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
  libtag1-dev (>= 1.6-2~), libtag-extras-dev (>= 1.0.1),
- kdelibs5-dev (>= 4:4.3.0), libsoprano-dev (>= 2.1.67),
+ kdelibs5-dev (>= 4:4.4.92-0ubuntu3), libsoprano-dev (>= 2.1.67),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libnjb-dev, libifp-dev, libmtp-dev (>= 0.3.0),
- libglib2.0-dev, libgpod-nogtk-dev (>= 0.7.0) | libgpod-dev (>= 0.7.0),
+ libglib2.0-dev, libgpod-dev (>= 0.7.0),
  libmysqld-pic (>= 5.1.36-2), libwrap0-dev,
  libqt4-opengl-dev, libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
- libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.3)
+ libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.3), libindicate-qt-dev
 Build-Depends-Indep: mysql-server-5.1 (>= 5.1.26rc)
 Standards-Version: 3.8.4
 Homepage: http://amarok.kde.org
-Vcs-Git: git://git.debian.org/git/users/modax/amarok.git
-Vcs-Browser: http://git.debian.org/?p=users/modax/amarok.git
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/amarok/ubuntu
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/amarok/ubuntu
 
 Package: amarok
 Architecture: any
 Depends: amarok-common (= ${source:Version}), amarok-utils (= ${binary:Version}), phonon-backend-xine | phonon-backend,
  ${shlibs:Depends}, ${misc:Depends},
  libqtscript4-core, libqtscript4-gui, libqtscript4-network, libqtscript4-xml, libqtscript4-sql, libqtscript4-uitools
-Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0)
-Suggests: libxine1-ffmpeg, libqt4-sql-sqlite, libqt4-sql-mysql, libqt4-sql-psql, moodbar
+Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0), libqt4-sql-sqlite
+Suggests: libxine1-ffmpeg, libqt4-sql-mysql, libqt4-sql-psql, moodbar
 Conflicts: amarok-engine-xine (<< 2), amarok-engine-yauap (<< 2)
 Description: easy to use media player based on the KDE Platform
  Amarok is a powerful music player with an intuitive interface. It makes
