=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 QUILT_PATCH_DIR := debian/patches
 include /usr/share/topgit/tg2quilt.mk
 endif
+
+export KUBUNTU_DESKTOP_POT=extragear-multimedia_amarok
 
 #DEB_KDE_LINK_WITH_AS_NEEDED := yes
 
@@ -24,10 +26,6 @@
 override_dh_makeshlibs:
 	dh_makeshlibs "-Xusr/lib/kde4/*"
 
-override_dh_builddeb:
-	dh_builddeb -pamarok-dbg -- -Zbzip2
-	dh_builddeb --remaining-packages
-
 %:
 	dh --with kde --parallel --dbg-package=amarok-dbg $@
